import os
import sys

amc = "/opt/amc/server"
site_packages = "%s/site-packages" % amc
setproctitle_so = "%s/setproctitle.so" % site_packages
setproctitle_setup = "%s/setups/setproctitle" % amc
sys.path.insert(1,'%s/' % site_packages)

def can_import_setproctitle():

    try:
        import setproctitle
    except:
        return 0
    return 1

def generate_setproctitle():

    setproctitles = [] #["setproctitle-mac.so", "setproctitle-deb.so"]
    for setproctitle in setproctitles:      
        os.system("mv %s/%s %s" % (setproctitle_setup, setproctitle, setproctitle_so))
        if can_import_setproctitle():
            return 1
        os.system("rm -f %s" % setproctitle_so) 
    try:
        print "building setproctitle..."
        exit_status = os.system("cd %s/setproctitle-1.1.8/ && python setup.py install --home=%s --install-lib=%s" % (setproctitle_setup, site_packages, site_packages))
        if exit_status != 0:
            sys.stderr.write("AMC dependency not met. Please install gcc and python-dev (for Debian/Ubuntu) or python-devel (for CentOS/RedHatLinux) before installing AMC.\n")
            return 0
        if can_import_setproctitle():
            return 1
        else:
            return 0
    except:
        return 0


            
    
    




        
