import sys

def build_amc_dependencies():

    sys.path.insert(0, '/opt/amc/server/setups/greenlet/')
    sys.path.insert(0, '/opt/amc/server/setups/setproctitle/')
    sys.path.insert(0, '/opt/amc/server/setups/pyDes/')

    import greenlet_generator
    import setproctitle_generator
    import pyDes_generator

    if greenlet_generator.generate_greenlet() and setproctitle_generator.generate_setproctitle() and pyDes_generator.generate_pyDes():                        
        return "True"
    return "False"

